﻿using System;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PrintElement
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            PrintDialog pd = new PrintDialog();
            if (pd.ShowDialog() == true)
            {
                Window window = Window.GetWindow(grid1);
                Point point = grid1.TransformToAncestor(window).Transform(new Point(0, 0));//获取当前控件 的坐标
                this.grid1.Measure(new Size(grid1.ActualWidth, grid1.ActualHeight));
                this.grid1.Arrange(new Rect(new Size(grid1.ActualWidth, grid1.ActualHeight)));
                pd.PrintVisual(this.grid1, "");
                this.grid1.Arrange(new Rect(point.X, point.Y, grid1.ActualWidth, grid1.ActualHeight));//设置为原来的位置
            }
        }
    }
}